syn region Label start="\%1c" end="$" end="\%7c"
syn region Opcode start="\%8c" end="$" end="\%15c"
syn match Address "\%16c[^ ]*"
syn match NormalComment "\%16c.*" contains=Letter,Address
syn match TooLong "\%72c.*"
syn region ModernComment start="^#" end="$"
syn region LineComment start="^\*" end="$" end="\%71c" contains=TooLong,Letter
syn match Letter "\%71c."
syn match Segment "^\$SEGMENT"

hi Label ctermfg=Yellow
hi Opcode ctermfg=Green
hi Address ctermfg=Magenta
hi LineComment ctermfg=Cyan
hi ModernComment ctermfg=Blue
hi Letter ctermfg=Red
hi Segment ctermfg=Red
hi NormalComment ctermfg=Cyan
hi TooLong ctermbg=DarkRed ctermfg=Red
