syn region Label start="\%1v" end="$" end="\%>8v"
syn region Opcode start="\%9v" end="$" end="\%>16v"
syn match Address "\%17v[^\t ]*"
syn match NormalComment "\%17v.*" contains=Address
syn region ModernComment start="^#" end="$"
syn region LineComment start="^\*" end="$"
syn match Segment "^\$SEGMENT"

hi Label ctermfg=Yellow
hi Opcode ctermfg=Green
hi Address ctermfg=Magenta
hi LineComment ctermfg=Cyan
hi ModernComment ctermfg=Blue
hi Segment ctermfg=Red
hi NormalComment ctermfg=Cyan

